Web 开发实战进阶 ( Laravel 5.5 ) 课程中过滤 xss 遇到的问题?

问答 kenuo ⋅ 于 5个月前 ⋅ 最后回复由 漫漫长路 5个月前 ⋅ 531 阅读

集成了Simditor编辑器.
当我们发布{{ show_route($lineItem) }} 这种vue语法时.网页就会报错,原因是vue找不到这个函数.. 自动解析成vue语法了. 请问怎么解决啊

本文章首发在 Laravel China 社区

by king .小弟个人 博客

回复数量: 6
  • kenuo 我就是我.不一样的烟火...
    5个月前

    @Summer 跟着你做的.当开启了vue组件扩展就会遇到这个问题

  • kenuo 我就是我.不一样的烟火...
    5个月前

    以解决.如果是需要用blade模板.部分页面需要vue.可以不用在全局的app.blade.php定义

    <div id="app">
        哪里需要在定义.不要全局定义...
    </div>
  • 我是Miami
    5个月前

    试试这个?@{{ xxx }}

  • 漫漫长路 人丑就要多码代码
    5个月前

    5.4版本可以不?

  • kenuo 我就是我.不一样的烟火...
    5个月前

    @漫漫长路 和版本无关

  • 漫漫长路 人丑就要多码代码
    5个月前

    @张高元 我们公司用的是5.4 那我也去试试 谢谢!

暂无评论~~

  请勿发布不友善或者负能量的内容。与人为善,比聪明更重要!